
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
function SkyPower1()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要增加信息吗?";
   s = document.getElementById("TxtTerm1")
   if(s.value == "" || s.value.length < 5)
   {
      window.alert(ad + "管理员名称不能为空,并且长度必须大于等于5位！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtShowID1")
   if(s.value == "" || s.value.length < 5)
   {
      window.alert(ad + "管理员密码不能为空,并且长度必须大于等于5位！");
      s.focus();
      return false;
   }


   if(window.confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
function SkyPower2()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要修改信息吗?";
   s = document.getElementById("TxtTerm2")
   if(s.value == "" || s.value.length < 5)
   {
      window.alert(ad + "管理员名称不能为空,并且长度必须大于等于5位！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtShowID2")
   if(s.value == "" || s.value.length < 5)
   {
      window.alert(ad + "管理员密码不能为空,并且长度必须大于等于5位！");
      s.focus();
      return false;
   }

   if(window.confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
